<!DOCTYPE HTML>

<html xml:lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.thymeleaf.org ">

<head>
    <title>User card</title>
    <meta name="viewport" content="width=device-width">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="css/userCard.css"/>    
</head>

<body>
    <article th:fragment="userCard" th:each="user : ${session.userList}" class="userCard">
            <div class="bg-white shadow-sm py-5 px-4"><img src="/images/userIcon.jpg" alt="user profile" width="100" class="img-fluid rounded-circle mb-3 img-thumbnail shadow-sm">
                <h5 class="mb-0" th:text="${user.username}"></h5><span class="small text-uppercase text-muted" th:text="${user.type.name}"></span>
                <ul class="social mb-0 list-inline mt-3">
                    <li class="list-inline-item"><a th:href="@{/deleteUser?id={id}(id=${user.userId})}" class="social-link"><img src="/images/remove-user-icon.png" alt="remove user" width="25" height="25"><i class="fa fa-facebook-f"></i></a></li>
                </ul>
            </div>
    </article>
</body>

</html>